%global npmname request
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: Simplified HTTP request client
Name: nodejs-%{npmname}
Version: 2.9.203
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://github.com/mikeal/request
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
Request is designed to be the simplest way possible to 
make http calls. It supports HTTPS and follows redirects by default.

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr *.js vendor package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries

%files
%defattr(-,root,root,-)
%{npminstdir}
%doc README.md LICENSE

%changelog
* Thu Nov 15 2012 Troy Dawson <tdawson@redhat.com> - 2.9.203-1
- updated to 2.9.203

* Tue Feb 28 2012 Troy Dawson <tdawson@redhat.com> - 2.9.152-1
- Initial build

